org.h2.schema

## Class UserAggregate

- java.lang.Object
- - org.h2.engine.DbObject
  - - org.h2.schema.SchemaObject
    - - org.h2.schema.UserDefinedFunction
      - - org.h2.schema.UserAggregate

All Implemented Interfaces:
  HasSQL

    public final class UserAggregate
    extends UserDefinedFunction

Represents a user-defined aggregate function.

### Field Summary

### Fields inherited from class org.h2.engine.DbObject

`AGGREGATE, comment, COMMENT, CONSTANT, CONSTRAINT, database, DOMAIN, FUNCTION_ALIAS, INDEX, RIGHT, ROLE, SCHEMA, SEQUENCE, SETTING, SYNONYM, TABLE_OR_VIEW, trace, TRIGGER, USER`

### Fields inherited from interface org.h2.util.HasSQL

`ADD_PLAN_INFORMATION, DEFAULT_SQL_FLAGS, NO_CASTS, QUOTE_ONLY_WHEN_REQUIRED, REPLACE_LOBS_FOR_TRACE, TRACE_SQL_FLAGS`

### Constructor Summary

Constructors
Constructor and Description
`UserAggregate(Schema schema, int id, java.lang.String name, java.lang.String className, boolean force)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCreateSQL()` Construct the CREATE ...
`java.lang.String` `getDropSQL()` Construct a DROP ...
`Aggregate` `getInstance()`
`int` `getType()` Get the object type.
`void` `removeChildrenAndResources(SessionLocal session)` Delete all dependent children objects and resources of this object.

### Methods inherited from class org.h2.schema.UserDefinedFunction

`checkRename, getJavaClassName`

### Methods inherited from class org.h2.schema.SchemaObject

`getSchema, getSQL, getSQL, isHidden`

### Methods inherited from class org.h2.engine.DbObject

`getChildren, getComment, getCreateSQLForCopy, getCreateSQLForMeta, getDatabase, getId, getModificationId, getName, invalidate, isTemporary, isValid, rename, setComment, setModified, setObjectName, setTemporary, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.h2.util.HasSQL

`getTraceSQL`

### Constructor Detail

#### UserAggregate

    public UserAggregate(Schema schema,
                         int id,
                         java.lang.String name,
                         java.lang.String className,
                         boolean force)

### Method Detail

#### getInstance

    public Aggregate getInstance()

#### getDropSQL

    public java.lang.String getDropSQL()

Description copied from class: `DbObject`
Construct a DROP ... SQL statement for this object.

Overrides:
  `getDropSQL` in class `DbObject`
Returns:
  the SQL statement

#### getCreateSQL

    public java.lang.String getCreateSQL()

Description copied from class: `DbObject`
Construct the CREATE ... SQL statement for this object.

Specified by:
  `getCreateSQL` in class `DbObject`
Returns:
  the SQL statement

#### getType

    public int getType()

Description copied from class: `DbObject`
Get the object type.

Specified by:
  `getType` in class `DbObject`
Returns:
  the object type

#### removeChildrenAndResources

    public void removeChildrenAndResources(SessionLocal session)

Description copied from class: `DbObject`
Delete all dependent children objects and resources of this object.

Specified by:
  `removeChildrenAndResources` in class `DbObject`
Parameters:
  `session` - the session